PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Home PS4 News - Latest PlayStation 4 and PS3 News

240w ago - According to PSGroove (linked above) and DJLO at PSX-Scene, F1 2010 is the first PS3 Game to require updating to PlayStation 3 Firmware version 3.42 which blocks both PSJailBreak and the PS3 Proxy Methods.

I was on IRC and the news broke, apparently it requires you to update and if you cancel, it takes you back to the PS3 XMB. The war has just began and Sony made the first move: User 0 vs Sony 1.

For those curious about other PS3 game compatibility with PSJailBreak, PSGroove and PSFreedom be sure to check out the PS3 JailBreak Game Compatibility List and add to it if possible.

To quote: "If you ignore the game's warnings, it throws you back to the XMB. Technically this should just require some editing to the PARAM.SFO's version, in order to get the game to boot on 3.41. However, time will tell."

F1 2010 is the First PS3 Game to Require 3.42 Firmware?

Stay tuned for more PS3 Hacks and PS3 CFW news, follow us on Twitter, Facebook and drop by the PS3 Hacks and PS3 Custom Firmware Forums for the latest PlayStation 3 scene and PlayStation 4 scene updates and fresh homebrew PS3 Downloads. Enjoy!


  • Sponsored Links




#34 - MuFFiE - 240w ago
MuFFiE's Avatar
tried it. did not work on internal hdd (message came up that no controller was found), then tried external hdd and it stuck at the loading screen

#33 - Mihuz - 240w ago
Mihuz's Avatar
Quote Originally Posted by Luiwtf View Post
Well as far as i can tell it doesn't require 3.42.

For what I read it only works on EXTERNAL Hard Drive.

#32 - hacked2123 - 240w ago
hacked2123's Avatar
Quote Originally Posted by Luiwtf View Post
Well as far as i can tell it doesn't require 3.42. What I've done so far:

Downloaded F1 2010
Checked SFO file, lists system version as 3.4100, so it should be fine as far as firmware is concerned
Deleted Update file(as i normally do to save space).


The param.sfo was probably already patched, shame you deleted the update file, chances are that it was the 3.42 update... Might also be different per region...

Then again, it's hard for me to believe they printed up enough games for the whole world with 3.42 Update on it, in about 2 weeks time.

#31 - Luiwtf - 240w ago
Luiwtf's Avatar
Well as far as i can tell it doesn't require 3.42. What I've done so far:

Downloaded F1 2010
Checked SFO file, lists system version as 3.4100, so it should be fine as far as firmware is concerned
Deleted Update file(as i normally do to save space)
Copied to PS3 via FTP app
Launched the game

Game launches fine using backup manager, and installs no problem, then you get to see the credits (the ones that show the dev and publisher names), then you get a loading screen.

After the loading screen it seems to break (atleast for me and another person on the site i downloaded from), it pops up with a message saying that you have no controller connected (despite the fact that pressing the PS button brings up the menu to quit game/reassign controllers etc), doesnt seem to matter what you do it wont go past this point (quitting the game will result in getting stuck on the "Please wait" screen, which means all you can do is restart/turn off the PS3).

I'm sure someone will fix it, but i need some sleep now.

If you couldnt be bothered reading that, then no update is required, but game doesn't recognise the controller.

#30 - wadtalkingyou - 240w ago
wadtalkingyou's Avatar
no worry!!! They will never give up finding exploit...

#29 - p0tsm0ke - 240w ago
p0tsm0ke's Avatar
i don't care if the firmware will be updated, why because the system will be cracked more and more day by day.. so just sit back and play some sony only titles and be happy till more hits the scene.

#28 - noSAINTSno - 240w ago
noSAINTSno's Avatar
So is it that the report was false and the game does not have a on-disc 3.42 fw update and that's why it works, or are you saying that it does in fact install 3.42 and that jailbreak is still working with the new firmware?

#27 - Whateverwhateve - 240w ago
Whateverwhateve's Avatar
Ummm, isn't the jailbreak supposed to be able to block updates?

#26 - zaror1992 - 240w ago
zaror1992's Avatar
I'm here to confirm that, at least, the version of the game I own (EUR) works just fine under 3.41.

I just tested myself 15 minutes ago, so yeah FAKE.

#25 - noSAINTSno - 240w ago
noSAINTSno's Avatar
I definately agree that's the type that makes them go after this issue. I'm especially perterbed being a newbie just ready to install the mod and of course i was stupid enough to update to 3.42 so now i cant even do it for now. I was angry enough when they took away my "other OS" option that was uncalled for.

Thank GOD for all you dedicated dev's working on this hopefully wont be waiting too long, I wish sony would see how much more money they made with the ps2 after mod-ability. I guess that the nature of the corporate beast though.